commit: 48a2ba2b2b093ccc43c75d6907203fa97650c89e
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 14 01:58:20 2017 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Thu Sep 14 02:00:15 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48a2ba2b
dev-python/ropemode: version bump to 0.4
dev-python/ropemode/Manifest | 1 +
dev-python/ropemode/ropemode-0.4.ebuild | 27 +++++++++++++++++++++++++++
2 files changed, 28 insertions(+)
diff --git a/dev-python/ropemode/Manifest b/dev-python/ropemode/Manifest
index d7a2d9c9f95..746b623d52f 100644
--- a/dev-python/ropemode/Manifest
+++ b/dev-python/ropemode/Manifest
@@ -1,2 +1,3 @@
DIST ropemode-0.2.tar.gz 12268 SHA256
54b2c7b4a04b22d41aa686942dc521a89ac36fd2c7356c2707939bb97980864b SHA512
59b9a8f8caf03f480994c546b48c0be8bd85ebf44b406e216b6651e254b3fd9c6a532a5bab1be1301b12dcf756d3ad325f38e810fe5ea5bbcc700979cfbd5055
WHIRLPOOL
ccf2a99abe7c3cc9634dd118f3f65f3b32a09c7f846f8314d8abcfcd15ae761b43be0fa61089ba682b62f75256bb69d54f11f8cf171cc4586295fceb3189c4f2
DIST ropemode-0.3.tar.gz 12322 SHA256
b81637be131f549262212af5a2d337595dbf56269bebf731c3609637da8c57e5 SHA512
1cbd0bc5122cb0397aeefe471a29de6306981cd54ba753fb1a3baa880674b1a718f328017668846aa973ceb64910cf25f6b3c1df08b16637314de90a336c0feb
WHIRLPOOL
4668af1467fa16ef3c5135a41d570d084a478014f96eedb54061a30e5142d3a1811b0d26223166f59be2f684022c56db60cd2705ecd3ac1da876318362721e74
+DIST ropemode-0.4.tar.gz 12846 SHA256
5710bd365a1def5fcb7d4cbe29a936c5079dac7c8d9c0ddf946d814251d126ec SHA512
b8d592b42a6cdeb73b123b94d24bbb0eedc38414b60c931c9d1a7bf3c6fc4958d2db0431f57f281987c89d3b27dd2e45701d386274024a2a79bf8183547c8489
WHIRLPOOL
a99ffeba3162f1cec3329449e1556c8f6262461b68d502a6c16a98011e1e92fbdcc737234038623c4ef2b91a91c65e2ae686c78a0c557153b742a2abb64147d0
diff --git a/dev-python/ropemode/ropemode-0.4.ebuild
b/dev-python/ropemode/ropemode-0.4.ebuild
new file mode 100644
index 00000000000..33e4385c3ad
--- /dev/null
+++ b/dev-python/ropemode/ropemode-0.4.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="A helper for using rope refactoring library in IDEs"
+HOMEPAGE="https://github.com/python-rope/ropemode
https://pypi.python.org/pypi/ropemode"
+SRC_URI="https://github.com/python-rope/ropemode/archive/${PV}.tar.gz ->
${P}.tar.gz"
+# pypi releases don't include tests
+#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-python/rope-0.9.4[${PYTHON_USEDEP}]"
+DEPEND="${DEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ "${PYTHON}" ropemodetest.py || die "tests failed with ${EPYTHON}"
+}